Finalisé implantation Makefile stages 0 à 3
authorgobo72 <gobo72@364a67c3-989e-7be9-548d-dae8560ea662>
Fri, 4 Mar 2011 23:45:01 +0000 (23:45 +0000)
committergobo72 <gobo72@364a67c3-989e-7be9-548d-dae8560ea662>
Fri, 4 Mar 2011 23:45:01 +0000 (23:45 +0000)
14 files changed:
stage0/INSTALL
stage1/INSTALL
stage1/hv-install-1 [new file with mode: 0755]
stage1/hv-install-2 [new file with mode: 0755]
stage1/install-1 [deleted file]
stage1/install-2 [deleted file]
stage2/INSTALL
stage2/hv-install-1 [new file with mode: 0755]
stage2/hv-install-2 [new file with mode: 0755]
stage2/install-1 [deleted file]
stage2/install-2 [deleted file]
stage3/INSTALL
stage3/hv-install-1 [new file with mode: 0755]
stage3/install-1 [deleted file]

index 9ac34f1..a93d6cb 100644 (file)
@@ -9,4 +9,5 @@ Installation
 2. Modify the 'sysinfos' configuration file to reflect your
    system configuration.
 
-3. Launch './hv-install-1'
+3. Type:
+   $> sudo make
index 3341785..fd79a89 100644 (file)
@@ -3,7 +3,8 @@ stage1: Construction of temporary system
 Installation
 ------------
 
-1. Launch './install-1'
+1. Type:
+   $> sudo make
 
 2. Compile new kernel (remove loadable modules support)
 
diff --git a/stage1/hv-install-1 b/stage1/hv-install-1
new file mode 100755 (executable)
index 0000000..1bc05c2
--- /dev/null
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+hvtrap_setup
+source ../packages-list
+
+init_log_file
+
+rscr mult "Performing pre-install" pre-install
+
+# Logging-in as 'lfs' user, and executing the hv-install-2 script. The
+# 'su -' command starts with a clean environment and enters the home
+# directory of the user.
+su - lfs -c "cd ${PWD}; ./hv-install-2"
+
+rscr mult "Performing post-install" post-install
+
+echo "Total build time: $(get_total_build_time ${LFS_LOG_FILE})h"
+
+exit 0
diff --git a/stage1/hv-install-2 b/stage1/hv-install-2
new file mode 100755 (executable)
index 0000000..a063fb4
--- /dev/null
@@ -0,0 +1,78 @@
+#!/bin/bash
+
+source ~/.bashrc
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+init_log_file
+
+# Building temporary system
+
+HOST_CC=gcc CPPFLAGS=-fexceptions \
+    ipkg ${GMP} "--enable-cxx"
+ipkg ${MPFR} "--enable-shared"
+ipkg ${MPC}
+ipkg ${PPL} "\
+    --enable-shared \
+    --enable-interfaces=c,cxx \
+    --disable-optimization \
+    --with-libgmp-prefix=/tools \
+    --with-libgmpxx-prefix=/tools"
+ipkg ${CLOOG_PPL} "\
+    --enable-shared \
+    --with-bits=gmp \
+    --with-gmp=/tools \
+    --with-ppl=/tools"
+ipkg -m acnb ${ZLIB}
+ipkg ${BINUTILS}
+ipkg ${GCC}
+ipkg ${NCURSES} "\
+    --with-shared \
+    --without-debug \
+    --without-ada \
+    --enable-overwrite \
+    --with-build-cc=gcc"
+ipkg ${BASH} "--without-bash-malloc"
+ipkg ${BISON}
+ipkg -m noac ${BZIP2}
+ipkg ${COREUTILS} "--enable-install-program=hostname"
+ipkg ${DIFFUTILS}
+ipkg ${FINDUTILS}
+ipkg ${FILE_PKG}
+ipkg ${FLEX}
+ipkg ${GAWK}
+ipkg ${GETTEXT}
+ipkg ${GREP} "\
+    --disable-perl-regexp \
+    --without-included-regex"
+ipkg ${GZIP}
+ipkg ${MFOUR}
+ipkg ${MAKE_PACKAGE}
+ipkg ${PATCH_PACKAGE}
+ipkg ${SED}
+ipkg ${TAR_PACKAGE}
+ipkg ${TEXINFO}
+ipkg ${XZ_UTILS}
+
+# Chapter 7
+rscr once "Creating directory structure" create-directories
+rscr once "Creating symbolic links" create-symlinks
+
+ipkg ${NANO} "--enable-color --enable-multibuffer"
+ipkg ${UTIL_LINUX_NG}
+ipkg ${E2FSPROGS}
+ipkg -m noac ${SYSVINIT}
+ipkg ${MODULE_INIT_TOOLS}
+ipkg ${UDEV}
+ipkg -m noac ${KERNEL}
+
+rscr once "Creating default users" create-users
+rscr once "Creating default groups" create-groups
+rscr once "Creating default log files" create-logfiles
+rscr once "Creating default config files" create-config-files
+rscr once "Installing bootscripts" install-bootscripts
+
+exit $?
diff --git a/stage1/install-1 b/stage1/install-1
deleted file mode 100755 (executable)
index a7bd542..0000000
+++ /dev/null
@@ -1,22 +0,0 @@
-#!/bin/bash
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-hvtrap_setup
-source ../packages-list
-
-init_log_file
-
-rscr mult "Performing pre-install" pre-install
-
-# Logging-in as 'lfs' user, and executing the install-2 script. The
-# 'su -' command starts with a clean environment and enters the home
-# directory of the user.
-su - lfs -c "cd ${PWD}; ./install-2"
-
-rscr mult "Performing post-install" post-install
-
-echo "Total build time: $(get_total_build_time ${LFS_LOG_FILE})h"
-
-exit 0
diff --git a/stage1/install-2 b/stage1/install-2
deleted file mode 100755 (executable)
index a063fb4..0000000
+++ /dev/null
@@ -1,78 +0,0 @@
-#!/bin/bash
-
-source ~/.bashrc
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-init_log_file
-
-# Building temporary system
-
-HOST_CC=gcc CPPFLAGS=-fexceptions \
-    ipkg ${GMP} "--enable-cxx"
-ipkg ${MPFR} "--enable-shared"
-ipkg ${MPC}
-ipkg ${PPL} "\
-    --enable-shared \
-    --enable-interfaces=c,cxx \
-    --disable-optimization \
-    --with-libgmp-prefix=/tools \
-    --with-libgmpxx-prefix=/tools"
-ipkg ${CLOOG_PPL} "\
-    --enable-shared \
-    --with-bits=gmp \
-    --with-gmp=/tools \
-    --with-ppl=/tools"
-ipkg -m acnb ${ZLIB}
-ipkg ${BINUTILS}
-ipkg ${GCC}
-ipkg ${NCURSES} "\
-    --with-shared \
-    --without-debug \
-    --without-ada \
-    --enable-overwrite \
-    --with-build-cc=gcc"
-ipkg ${BASH} "--without-bash-malloc"
-ipkg ${BISON}
-ipkg -m noac ${BZIP2}
-ipkg ${COREUTILS} "--enable-install-program=hostname"
-ipkg ${DIFFUTILS}
-ipkg ${FINDUTILS}
-ipkg ${FILE_PKG}
-ipkg ${FLEX}
-ipkg ${GAWK}
-ipkg ${GETTEXT}
-ipkg ${GREP} "\
-    --disable-perl-regexp \
-    --without-included-regex"
-ipkg ${GZIP}
-ipkg ${MFOUR}
-ipkg ${MAKE_PACKAGE}
-ipkg ${PATCH_PACKAGE}
-ipkg ${SED}
-ipkg ${TAR_PACKAGE}
-ipkg ${TEXINFO}
-ipkg ${XZ_UTILS}
-
-# Chapter 7
-rscr once "Creating directory structure" create-directories
-rscr once "Creating symbolic links" create-symlinks
-
-ipkg ${NANO} "--enable-color --enable-multibuffer"
-ipkg ${UTIL_LINUX_NG}
-ipkg ${E2FSPROGS}
-ipkg -m noac ${SYSVINIT}
-ipkg ${MODULE_INIT_TOOLS}
-ipkg ${UDEV}
-ipkg -m noac ${KERNEL}
-
-rscr once "Creating default users" create-users
-rscr once "Creating default groups" create-groups
-rscr once "Creating default log files" create-logfiles
-rscr once "Creating default config files" create-config-files
-rscr once "Installing bootscripts" install-bootscripts
-
-exit $?
index bb329b6..5252117 100644 (file)
@@ -3,7 +3,8 @@ stage2: Installing basic system software
 Installation
 ------------
 
-1. Launch ./hv-install-1
+1. Type:
+   $> sudo make
 
 2. Compile new kernel (enable loadable modules support)
 
diff --git a/stage2/hv-install-1 b/stage2/hv-install-1
new file mode 100755 (executable)
index 0000000..5f00f8a
--- /dev/null
@@ -0,0 +1,67 @@
+#!/bin/bash
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+hvtrap_setup
+source ../packages-list
+source /etc/profile
+
+if [ "x${USER}" != "xroot" ]; then
+    echo "You must be the superuser to install hvlinux."
+    exit 1
+fi
+
+init_log_file
+
+rscr mult "Performing pre-install" pre-install
+
+ipkg -l "${PERL}-pass1" ${PERL}
+ipkg -m noac ${KERNEL}
+ipkg -m noac ${MANPAGES}
+ipkg ${EGLIBC}
+rscr once "Adjusting toolchain" toolchain-adjust
+rscr mult "Testing toolchain"   toolchain-test
+
+export CC="gcc -isystem /usr/include"
+export CXX="g++ -isystem /usr/include"
+export LDFLAGS="-Wl,-rpath-link,/lib"
+
+CPPFLAGS=-fexceptions \
+    ipkg ${GMP} "--enable-cxx --enable-mpbsd"
+ipkg ${MPFR} "--enable-shared --with-gmp=/usr"
+ipkg ${MPC}
+CPPFLAGS=-fexceptions \
+    ipkg ${PPL} "--enable-shared --disable-optimization"
+ipkg ${CLOOG_PPL} "--enable-shared --with-gmp --with-ppl"
+
+unset CC
+unset CXX
+unset LDFLAGS
+
+ipkg -m acnb ${ZLIB}
+ipkg ${BINUTILS}
+ipkg ${GCC}
+rscr mult "Testing toolchain" toolchain-test
+ipkg ${SED} "--bindir=/bin"
+ipkg ${PKG_CONFIG}
+ipkg ${NCURSES}
+ipkg ${UTIL_LINUX_NG}
+ipkg ${E2FSPROGS}
+ipkg ${COREUTILS}
+ipkg -m noac ${IANA}
+ipkg ${MFOUR}
+ipkg ${BISON}
+ipkg -m noac ${PROCPS}
+ipkg ${LIBTOOL}
+ipkg ${FLEX}
+ipkg -m noac ${IPROUTE2}
+ipkg -l "${PERL}-pass2" ${PERL}
+ipkg ${READLINE}
+ipkg ${AUTOCONF}
+ipkg ${AUTOMAKE}
+ipkg ${BASH} "--bindir=/bin --without-bash-malloc --with-installed-readline"
+
+/bin/bash +h -c ./hv-install-2
+
+exit $?
diff --git a/stage2/hv-install-2 b/stage2/hv-install-2
new file mode 100755 (executable)
index 0000000..6f7cf5f
--- /dev/null
@@ -0,0 +1,63 @@
+#!/bin/bash
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+init_log_file
+
+ipkg ${GDBM}
+ipkg ${INETUTILS}
+ipkg -m noac ${BZIP2}
+ipkg ${DIFFUTILS}
+ipkg ${FILE_PKG}
+ipkg ${GAWK} "--libexecdir=/usr/lib"
+ipkg ${FINDUTILS}
+ipkg ${GETTEXT}
+ipkg ${GREP} "--bindir=/bin --without-included-regex"
+ipkg ${GROFF}
+ipkg ${GZIP}
+ipkg ${KBD}
+ipkg ${LESS}
+ipkg ${MAKE_PACKAGE}
+ipkg ${MAN_DB} "\
+    --libexecdir=/usr/lib \
+    --disable-setuid \
+    --with-browser=/usr/bin/lynx \
+    --with-vgrind=/usr/bin/vgrind \
+    --with-grap=/usr/bin/grap"
+ipkg ${MODULE_INIT_TOOLS}
+ipkg ${PATCH_PACKAGE}
+ipkg ${PSMISC}
+ipkg ${SHADOW}
+ipkg -m noac ${SYSKLOGD}
+ipkg -m noac ${SYSVINIT}
+ipkg ${TAR_PACKAGE} "--bindir=/bin --libexecdir=/usr/sbin"
+ipkg ${TEXINFO}
+ipkg ${UDEV}
+ipkg -m noac ${UDEV_CONFIG}
+ipkg ${GRUB}
+ipkg -m acnb ${DHCP}
+ipkg ${NANO}
+
+rscr once "Installing HV-utilities" install-hv-utilities
+rscr once "Installing bootscripts"  install-bootscripts
+rscr once "Creating default config files" create-config-files
+
+rscr mult  "Compressing man pages"   compressdoc
+#rscr mult "Stripping" stripping
+
+echo "Total build time: $(get_total_build_time ${LFS_LOG_FILE})h"
+
+# Creating root password
+passwd root
+
+rscr mult  "Performing post-install" post-install
+ldconfig
+
+echo "Stage2 successfully completed."
+echo "You must now compile a new kernel (go to /usr/src/linux)."
+echo "After that, you can reboot and try your new system."
+
+exec /bin/bash --login
diff --git a/stage2/install-1 b/stage2/install-1
deleted file mode 100755 (executable)
index 94ca72f..0000000
+++ /dev/null
@@ -1,67 +0,0 @@
-#!/bin/bash
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-hvtrap_setup
-source ../packages-list
-source /etc/profile
-
-if [ "x${USER}" != "xroot" ]; then
-    echo "You must be the superuser to install hvlinux."
-    exit 1
-fi
-
-init_log_file
-
-rscr mult "Performing pre-install" pre-install
-
-ipkg -l "${PERL}-pass1" ${PERL}
-ipkg -m noac ${KERNEL}
-ipkg -m noac ${MANPAGES}
-ipkg ${EGLIBC}
-rscr once "Adjusting toolchain" toolchain-adjust
-rscr mult "Testing toolchain"   toolchain-test
-
-export CC="gcc -isystem /usr/include"
-export CXX="g++ -isystem /usr/include"
-export LDFLAGS="-Wl,-rpath-link,/lib"
-
-CPPFLAGS=-fexceptions \
-    ipkg ${GMP} "--enable-cxx --enable-mpbsd"
-ipkg ${MPFR} "--enable-shared --with-gmp=/usr"
-ipkg ${MPC}
-CPPFLAGS=-fexceptions \
-    ipkg ${PPL} "--enable-shared --disable-optimization"
-ipkg ${CLOOG_PPL} "--enable-shared --with-gmp --with-ppl"
-
-unset CC
-unset CXX
-unset LDFLAGS
-
-ipkg -m acnb ${ZLIB}
-ipkg ${BINUTILS}
-ipkg ${GCC}
-rscr mult "Testing toolchain" toolchain-test
-ipkg ${SED} "--bindir=/bin"
-ipkg ${PKG_CONFIG}
-ipkg ${NCURSES}
-ipkg ${UTIL_LINUX_NG}
-ipkg ${E2FSPROGS}
-ipkg ${COREUTILS}
-ipkg -m noac ${IANA}
-ipkg ${MFOUR}
-ipkg ${BISON}
-ipkg -m noac ${PROCPS}
-ipkg ${LIBTOOL}
-ipkg ${FLEX}
-ipkg -m noac ${IPROUTE2}
-ipkg -l "${PERL}-pass2" ${PERL}
-ipkg ${READLINE}
-ipkg ${AUTOCONF}
-ipkg ${AUTOMAKE}
-ipkg ${BASH} "--bindir=/bin --without-bash-malloc --with-installed-readline"
-
-/bin/bash +h -c ./install-2
-
-exit $?
diff --git a/stage2/install-2 b/stage2/install-2
deleted file mode 100755 (executable)
index 6f7cf5f..0000000
+++ /dev/null
@@ -1,63 +0,0 @@
-#!/bin/bash
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-init_log_file
-
-ipkg ${GDBM}
-ipkg ${INETUTILS}
-ipkg -m noac ${BZIP2}
-ipkg ${DIFFUTILS}
-ipkg ${FILE_PKG}
-ipkg ${GAWK} "--libexecdir=/usr/lib"
-ipkg ${FINDUTILS}
-ipkg ${GETTEXT}
-ipkg ${GREP} "--bindir=/bin --without-included-regex"
-ipkg ${GROFF}
-ipkg ${GZIP}
-ipkg ${KBD}
-ipkg ${LESS}
-ipkg ${MAKE_PACKAGE}
-ipkg ${MAN_DB} "\
-    --libexecdir=/usr/lib \
-    --disable-setuid \
-    --with-browser=/usr/bin/lynx \
-    --with-vgrind=/usr/bin/vgrind \
-    --with-grap=/usr/bin/grap"
-ipkg ${MODULE_INIT_TOOLS}
-ipkg ${PATCH_PACKAGE}
-ipkg ${PSMISC}
-ipkg ${SHADOW}
-ipkg -m noac ${SYSKLOGD}
-ipkg -m noac ${SYSVINIT}
-ipkg ${TAR_PACKAGE} "--bindir=/bin --libexecdir=/usr/sbin"
-ipkg ${TEXINFO}
-ipkg ${UDEV}
-ipkg -m noac ${UDEV_CONFIG}
-ipkg ${GRUB}
-ipkg -m acnb ${DHCP}
-ipkg ${NANO}
-
-rscr once "Installing HV-utilities" install-hv-utilities
-rscr once "Installing bootscripts"  install-bootscripts
-rscr once "Creating default config files" create-config-files
-
-rscr mult  "Compressing man pages"   compressdoc
-#rscr mult "Stripping" stripping
-
-echo "Total build time: $(get_total_build_time ${LFS_LOG_FILE})h"
-
-# Creating root password
-passwd root
-
-rscr mult  "Performing post-install" post-install
-ldconfig
-
-echo "Stage2 successfully completed."
-echo "You must now compile a new kernel (go to /usr/src/linux)."
-echo "After that, you can reboot and try your new system."
-
-exec /bin/bash --login
index 4741fee..d651941 100644 (file)
@@ -1,5 +1,7 @@
+stage3: Installing basic system software (after reboot)
+Installation
+------------
 
-Installation instructions
--------------------------
-
-1. ./install-1
+1. Type:
+   $> sudo make
diff --git a/stage3/hv-install-1 b/stage3/hv-install-1
new file mode 100755 (executable)
index 0000000..f2c52ad
--- /dev/null
@@ -0,0 +1,127 @@
+#!/bin/bash
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+hvtrap_setup
+source ../packages-list
+source /etc/profile
+
+if [ "x${USER}" != "xroot" ]; then
+    echo "You must be the superuser to install hvlinux."
+    exit 1
+fi
+
+init_log_file
+
+ipkg ${WHICH}
+ipkg -m acnb ${REISERFSPROGS}
+ipkg -m acnb ${POPT}
+ipkg ${PAM}
+ipkg -m noac ${OPENSSL}
+ipkg ${WGET}
+ipkg -m noac ${PCIUTILS}
+ipkg -m acnb ${LIBUSB}
+ipkg ${LIBUSB_COMPAT}
+ipkg ${USBUTILS}
+ipkg ${FCRON}
+ipkg ${OPENSSH}
+ipkg -s lynx ${LYNX}
+ipkg ${EXPAT}
+ipkg ${APR} "--with-installbuilddir=/usr/lib/apr-1/build"
+ipkg ${APR_UTIL} "--with-apr=/usr/bin/apr-1-config"
+ipkg ${NEON} "--with-ssl"
+ipkg -s tcl ${TCL}
+ipkg ${SQLITE}
+ipkg ${SUBVERSION} "--without-berkeley-db"
+ipkg ${SUDO}
+ipkg ${STRACE}
+ipkg ${PCRE} "--docdir=/usr/share/doc/pcre \
+    --enable-utf8 \
+    --enable-unicode-properties \
+    --enable-pcregrep-libz \
+    --enable-pcregrep-libbz2"
+
+# Networking
+ipkg -m noac -s tcp_wrappers ${TCPWRAPPERS}
+ipkg -m noac ${PORTMAP}
+ipkg -m acnb ${NFS_UTILS} "--disable-nfsv4 \
+    --sbindir=/sbin \
+    --disable-tirpc \
+    --disable-gss"
+ipkg ${XINETD}
+if [ "x${USE_DYNAMIC_DNS}" = "xyes" ]; then
+    ipkg ${DDCLIENT}
+fi
+ipkg -m acnb ${LIBPCAP}
+ipkg ${TCPDUMP}
+ipkg -m acnb ${NMAP} "--without-nmapfe"
+ipkg ${BIND} "--localstatedir=/var \
+    --mandir=/usr/share/man \
+    --enable-threads \
+    --with-libtool"
+ipkg ${IPTABLES}
+ipkg ${CURL}
+ipkg ${RSYNC}
+
+if [ "x${INST_TYPE}" = "xserver" -o "x${INST_TYPE}" = "xltsp-server" ]; then
+    ipkg ${MYSQL}
+fi
+
+# Archiving
+ipkg -m noac ${ZIP}
+ipkg -m noac ${UNZIP}
+ipkg -m noac ${UNRAR}
+ipkg ${CPIO}
+
+ipkg ${PARTED} "--disable-device-mapper"
+ipkg ${ED}
+ipkg ${BC} "--with-readline"
+INIT_D_PATH=/etc/rc.d/init.d \
+    ipkg -m acnb ${FUSE}
+ipkg -m noac ${DOSFSTOOLS}
+ipkg -m acnb ${GIT}
+
+# Perl modules
+ipkg -m pm ${PERL_MOD_PDL}
+ipkg -m pm ${PERL_MOD_XML_WRITER}
+ipkg -m pm ${PERL_MOD_XML_PARSER}
+
+ipkg ${INTLTOOL}
+ipkg ${PYTHON} "--enable-shared"
+
+# DocBook
+ipkg -m acnb ${SGML_COMMON}
+ipkg -m noac -s sgml-dtd3 ${SGML_DTD3}
+ipkg -m noac -s sgml-dtd4 ${SGML_DTD4}
+ipkg ${OPENSP}
+ipkg -m acnb ${OPENJADE}
+ipkg -m noac ${DOCBOOK_DSSSL}
+ipkg -m noac ${SGML_SPM}
+ipkg ${DOCBOOK_UTILS}
+ipkg -m acnb ${LIBXML2}
+ipkg -m acnb ${LIBXSLT}
+ipkg -m noac ${DOCBOOK_XML}
+ipkg -m noac ${DOCBOOK_XSL}
+ipkg -m noac ${XMLTOMAN}
+ipkg ${XMLTO}
+
+# Graphic libraries
+ipkg ${LIBJPEG} "--enable-static --enable-shared"
+ipkg -m noac ${LIBOPENJPEG}
+ipkg ${LIBPNG}
+ipkg ${LIBART}
+ipkg ${LIBEXIF}
+ipkg ${FRIBIDI}
+ipkg -m acnb ${HICOLOR_ICON_THEME}
+ipkg ${TIFF}
+ipkg ${GIFLIB}
+ipkg -m acnb ${LCMS}
+ipkg -m noac ${LIBMNG}
+
+ipkg ${FREETYPE}
+ipkg ${FONTCONFIG}
+
+echo "Total build time: $(get_total_build_time ${LFS_LOG_FILE})h"
+
+exit $?
diff --git a/stage3/install-1 b/stage3/install-1
deleted file mode 100755 (executable)
index f2c52ad..0000000
+++ /dev/null
@@ -1,127 +0,0 @@
-#!/bin/bash
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-hvtrap_setup
-source ../packages-list
-source /etc/profile
-
-if [ "x${USER}" != "xroot" ]; then
-    echo "You must be the superuser to install hvlinux."
-    exit 1
-fi
-
-init_log_file
-
-ipkg ${WHICH}
-ipkg -m acnb ${REISERFSPROGS}
-ipkg -m acnb ${POPT}
-ipkg ${PAM}
-ipkg -m noac ${OPENSSL}
-ipkg ${WGET}
-ipkg -m noac ${PCIUTILS}
-ipkg -m acnb ${LIBUSB}
-ipkg ${LIBUSB_COMPAT}
-ipkg ${USBUTILS}
-ipkg ${FCRON}
-ipkg ${OPENSSH}
-ipkg -s lynx ${LYNX}
-ipkg ${EXPAT}
-ipkg ${APR} "--with-installbuilddir=/usr/lib/apr-1/build"
-ipkg ${APR_UTIL} "--with-apr=/usr/bin/apr-1-config"
-ipkg ${NEON} "--with-ssl"
-ipkg -s tcl ${TCL}
-ipkg ${SQLITE}
-ipkg ${SUBVERSION} "--without-berkeley-db"
-ipkg ${SUDO}
-ipkg ${STRACE}
-ipkg ${PCRE} "--docdir=/usr/share/doc/pcre \
-    --enable-utf8 \
-    --enable-unicode-properties \
-    --enable-pcregrep-libz \
-    --enable-pcregrep-libbz2"
-
-# Networking
-ipkg -m noac -s tcp_wrappers ${TCPWRAPPERS}
-ipkg -m noac ${PORTMAP}
-ipkg -m acnb ${NFS_UTILS} "--disable-nfsv4 \
-    --sbindir=/sbin \
-    --disable-tirpc \
-    --disable-gss"
-ipkg ${XINETD}
-if [ "x${USE_DYNAMIC_DNS}" = "xyes" ]; then
-    ipkg ${DDCLIENT}
-fi
-ipkg -m acnb ${LIBPCAP}
-ipkg ${TCPDUMP}
-ipkg -m acnb ${NMAP} "--without-nmapfe"
-ipkg ${BIND} "--localstatedir=/var \
-    --mandir=/usr/share/man \
-    --enable-threads \
-    --with-libtool"
-ipkg ${IPTABLES}
-ipkg ${CURL}
-ipkg ${RSYNC}
-
-if [ "x${INST_TYPE}" = "xserver" -o "x${INST_TYPE}" = "xltsp-server" ]; then
-    ipkg ${MYSQL}
-fi
-
-# Archiving
-ipkg -m noac ${ZIP}
-ipkg -m noac ${UNZIP}
-ipkg -m noac ${UNRAR}
-ipkg ${CPIO}
-
-ipkg ${PARTED} "--disable-device-mapper"
-ipkg ${ED}
-ipkg ${BC} "--with-readline"
-INIT_D_PATH=/etc/rc.d/init.d \
-    ipkg -m acnb ${FUSE}
-ipkg -m noac ${DOSFSTOOLS}
-ipkg -m acnb ${GIT}
-
-# Perl modules
-ipkg -m pm ${PERL_MOD_PDL}
-ipkg -m pm ${PERL_MOD_XML_WRITER}
-ipkg -m pm ${PERL_MOD_XML_PARSER}
-
-ipkg ${INTLTOOL}
-ipkg ${PYTHON} "--enable-shared"
-
-# DocBook
-ipkg -m acnb ${SGML_COMMON}
-ipkg -m noac -s sgml-dtd3 ${SGML_DTD3}
-ipkg -m noac -s sgml-dtd4 ${SGML_DTD4}
-ipkg ${OPENSP}
-ipkg -m acnb ${OPENJADE}
-ipkg -m noac ${DOCBOOK_DSSSL}
-ipkg -m noac ${SGML_SPM}
-ipkg ${DOCBOOK_UTILS}
-ipkg -m acnb ${LIBXML2}
-ipkg -m acnb ${LIBXSLT}
-ipkg -m noac ${DOCBOOK_XML}
-ipkg -m noac ${DOCBOOK_XSL}
-ipkg -m noac ${XMLTOMAN}
-ipkg ${XMLTO}
-
-# Graphic libraries
-ipkg ${LIBJPEG} "--enable-static --enable-shared"
-ipkg -m noac ${LIBOPENJPEG}
-ipkg ${LIBPNG}
-ipkg ${LIBART}
-ipkg ${LIBEXIF}
-ipkg ${FRIBIDI}
-ipkg -m acnb ${HICOLOR_ICON_THEME}
-ipkg ${TIFF}
-ipkg ${GIFLIB}
-ipkg -m acnb ${LCMS}
-ipkg -m noac ${LIBMNG}
-
-ipkg ${FREETYPE}
-ipkg ${FONTCONFIG}
-
-echo "Total build time: $(get_total_build_time ${LFS_LOG_FILE})h"
-
-exit $?